import { EventEmitter } from "../../../stencil-public-runtime";
import { FireEnjinSubmitEvent, FireEnjinTriggerInput } from "@fireenjin/sdk";
import { ItemReorderEventDetail } from "@ionic/core";
export declare class NavigationMenu {
  editorEl: any;
  editorJs: any;
  filterBarEl: any;
  noteModalEl: HTMLIonModalElement;
  feedPaginationEl: any;
  items: {
    icon: string;
    id: string;
    name: string;
    href?: string;
    allowPin?: boolean;
    title?: string;
    add?: string;
    permissionCheck?: () => boolean;
    onClick?: () => Promise<void>;
  }[];
  activityFilters: string[];
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  onTrigger(event: any): void;
  onSearchInput(event: any): void;
  onFormFinish(event: any): Promise<void>;
  onEditorChange(): Promise<void>;
  toggleNavPin(event: any, item: {
    icon: string;
    id: string;
    name: string;
    href?: string;
    allowPin?: boolean;
    title?: string;
    add?: string;
    permissionCheck?: () => boolean;
    onClick?: () => Promise<void>;
  }): Promise<void>;
  doReorder(event: CustomEvent<ItemReorderEventDetail>): Promise<void>;
  openNoteModal(): Promise<void>;
  getExtension(path: any): any;
  onPhotoUpload(event: any): Promise<{
    success: boolean;
    file: {
      url: string;
    };
  }>;
  componentDidLoad(): Promise<void>;
  render(): any[];
}
